Get Core Host By Id
Get a specific core host
Get details for a specific core host
Request
URI
GET
https://{api_host}/api/inventory/{org_id}/core/hosts/{host_id}
COPY
Path Parameters
string
org_id
Required
organization identifier
string
host_id
Required
host identifier
Query Parameters
boolean
include_deleted_resources
Optional
Constraints:
default: false
should the deleted resources be included in the results?
Responses
200
OK
Returns
Host
of type(s)
application/json
{
"id": "string",
"name": "string",
"deployment_id": "string",
"cluster_id": "string",
"org_id": "string",
"state": {
"phase": "string",
"sub_phase": "string",
"display_name": "string",
"error_msg": "string",
"error_code": "string",
"provider": "string",
"internal_error_msg": "string",
"internal_error_code": "string"
},
"capacity": {
"cpu_mhz": 0,
"memory_bytes": 0,
"storage_bytes": 0
},
"creator": {
"user_name": "string",
"user_id": "string",
"client_id": "string",
"timestamp": "string"
},
"updater": {
"user_name": "string",
"user_id": "string",
"client_id": "string",
"timestamp": "string"
},
"internal_creator": {
"user_name": "string",
"user_id": "string",
"client_id": "string",
"timestamp": "string"
},
"deleted": false,
"resource_version": 0
}
string
id
Optional
Identifier of the deployment host
string
name
Required
Name of host
string
deployment_id
Required
Identifier of the parent deployment
string
cluster_id
Required
Identifier of the parent cluster
string
org_id
Optional
Identifier of the organization
object
state
Optional
state
object
capacity
Optional
capacity
object
creator
Optional
creator
object
updater
Optional
updater
object
internal_creator
Optional
internal_creator
boolean
deleted
Optional
Indicates if the current host is deleted
integer As int64
As int64
resource_version
Optional
Version of the record content to handle optimistic control verification
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/inventory/{org_id}/core/hosts/{host_id}
Core Inventory Operations
GET
Get Core Clusters
GET
Get Core Cluster By Id
GET
Get Core Deployment Groups
GET
Get Core Deployment Group By Id
GET
Get Core Deployment Group Members
GET
Get Core Deployments
GET
Get Core Deployment By Id
GET
Get Core Deployment Network Summary
Deprecated
GET
Get Core Deployment Overview Summary
Deprecated
GET
Get Core Deployment Vcenter Summary
Deprecated
GET
Get Core Hosts
GET
Get Core Host By Id